﻿/*
 * "Copyright (c) 2008 Robert B. Reese, Bryan A. Jones, J. W. Bruce ("AUTHORS")"
 * All rights reserved.
 * (R. Reese, reese_AT_ece.msstate.edu, Mississippi State University)
 * (B. A. Jones, bjones_AT_ece.msstate.edu, Mississippi State University)
 * (J. W. Bruce, jwbruce_AT_ece.msstate.edu, Mississippi State University)
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without written agreement is
 * hereby granted, provided that the above copyright notice, the following
 * two paragraphs and the authors appear in all copies of this software.
 *
 * IN NO EVENT SHALL THE "AUTHORS" BE LIABLE TO ANY PARTY FOR
 * DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT
 * OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE "AUTHORS"
 * HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * THE "AUTHORS" SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
 * ON AN "AS IS" BASIS, AND THE "AUTHORS" HAS NO OBLIGATION TO
 * PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS."
 *
 * Please maintain this header in its entirety when copying/modifying
 * these files.
 *
 * Hungarian translation: István Cserny, 2009.
 */

// Documentation placed on the main page. This file only
// include comments for Doxygen; it does not contain any
// code.
/**
 * \mainpage
 * Ennek a dokumentumnak az eredetije, illetve annak frissített változata 
 * <a href="http://sites.google.com/site/pic24micro/Home/pic24-software-library-collection">itt található</a>.
 *
 * \section internalWelcome Üdvözöljük a PIC24 támogatói- és mintaprogramok gyűjteményénél!
Itt található a \ref PIC24_support "PIC24 támogatói programkönyvtár" és a \ref textbookExamples "tankönyvi mintaprogramok gyűjteménye",
 amelyekhez részletes magyarázat a tankönyben található. A mintaprogramokat számos, a valós életből vett példaprogram egészíti ki. 
 Mindezekhez részletes dokumentáció is társul, ami lehetővé teszi, hogy a fejlesztők kiaknázhassák a PIC24 mikrovezérlő család 
 gazdag perifériakészletében rejlő előnyöket. 
A programgyűjtemény részei: az első lépések leírása, a PIC24 támogatói programkönyvtár, az ESOS - a beágyazott rendszerek 
operációs rendszere, és a robotika programkönyvtár könyvtár. Ezeket az alábbiakban tekintjük át.
 A programkönyvtár legrisebb verziója <a href="http://www.ece.msstate.edu/courses/ece3724/main_pic24/labs/files/pic24_code_examples.zip">innen</a> tölthető le.

 * \section internalStarted Az első lépések
 \ref gettingStarted "Az első lépések"  című oldal átvezeti az újoncokat a PIC24 fejlesztések kezdeti nehézségein: 
a fejlesztéshez használt programok telepítésétől a szükséges hardver beüzemeléséig. A  mintapéldák bemutatják a támogatói programkönyvtár
használatát. Az alábbi dokumentáció referenci kézikönyvként részletes információt ad a programkönyvtár működéséről és technikai részleteiről.

* \section internalSupport PIC24 támogatói programkönyvtár

A \ref PIC24_support "PIC24 támogatói programkönyvtár" lehetőséget ad a PIC24 összes alrendszerének kezelésre: 
Óra konfigurálása, konfigurációs bitek beállítása, késleltetések beiktatása, megszakítások kezelése, digitális ki/bemenet, időzítők, számlálók, soros I/O, 
 SPI, I2C, ECAN, komparátorok kezelése, A/D átalakítás, FLASH memória írása/olvasása, DMA kezelése. 
A támogatói könyvtárat kísérő bőséges példaprogram-gyűjteménye bemutatja a periférikezelő könyvtár használatát.

* \section internalESOS ESOS
\ref ESOS (Embedded Systems Operating System), a beágyazott rendszerek operációs rendszere egy kooperatív, többfeleadatos operációs rendszer
ami kis memóriaigényű. Az ESOS rendszer a feladat-orientált programozási paradigmát valósítja meg eseményvezérelt keretek között. 
Az ESOS időzítési, programmegszakítás kezelő és kommunikációs szolgáltatásokat biztosít a felhasználó számára.

* \section roboticsLibrary Robotika programkönyvtár
A \ref Robotics "robotika programkönyvtár", ami ESOS-ra épül, a robotikában előforduló legszükségesebb feladatokat támogatja.

* \section internalMoredoc További dokumentumok
Az alábbi linkekeken további dokumentumok érhetők el:
* - <a href="manuallyCreated/PIC24_bully_bootloader.pdf">Bully Bootloader firmware és a letöltőprogram leírása.</a>
* - <a href="manuallyCreated/board_walkthru_pic24.pdf"> Kísérleti áramkör (a tankönyv 8. fejezetében
ismertetett PIC24HJ32GP202 mintaáramkör) összeállítása és beüzemelése</a>
* - <a href="manuallyCreated/Sparkfun_minibully.pdf"> A Sparkfun 'mini-Bully' próbapanel használata minaprogramokkal</a>
* - <a href="manuallyCreated/Appendix_H_ADC_with_DMA.pdf"> A tankönyv függeléke, ami a DMA modul ADC-vel történő használatát mutatja be</a>
*
* \section internalLicense Licensz
* Ezt a gyűjteményt a mellékelt <a href="./license.html">licensz</a>-hez kötötten adták ki. 
*/
